Cancel payment request
curl --request POST \
--url https://api.natural.com/payment-requests/{paymentRequestId}/cancel \
--header 'Authorization: Bearer <token>' \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.natural.com/payment-requests/{paymentRequestId}/cancel"
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Idempotency-Key': '<idempotency-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.natural.com/payment-requests/{paymentRequestId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "paymentRequest",
"id": "prq_550e8400e29b41d4a716446655440000",
"attributes": {
"amount": 500,
"currency": "USD",
"status": "CANCELED",
"payerCanPay": false,
"payerCanDecline": false,
"requesterName": "Natural Coffee",
"requesterEmail": "billing@natural.test",
"requesterAvatarUrl": "https://static.natural.com/avatars/natural-coffee.png",
"requesterHandle": "@natural-coffee",
"walletName": "Main wallet",
"description": "Invoice 7",
"payerName": "Ada Lovelace",
"payerEmail": "ada@example.com",
"payerPhone": "+14155550100",
"payerAvatarUrl": "https://static.natural.com/avatars/ada-lovelace.png",
"payerHandle": "@ada-lovelace",
"payerPartyId": "pty_550e8400e29b41d4a716446655440000",
"payerIdentifierType": "party_id",
"payerIdentifier": "pty_550e8400e29b41d4a716446655440000",
"initiatorParty": null,
"initiatorAgent": null,
"paymentLinkUrl": "https://www.natural.com/pay/token_123",
"transactionId": null,
"createdAt": "2026-04-15T00:00:00.000Z",
"updatedAt": "2026-04-15T00:00:00.000Z"
},
"relationships": {
"requesterParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"wallet": {
"data": {
"type": "wallet",
"id": "wal_550e8400e29b41d4a716446655440000"
}
},
"payerParty": {
"data": {
"type": "party",
"id": "pty_550e8400e29b41d4a716446655440000"
}
},
"payerAgent": {
"data": null
},
"payment": {
"data": null
}
}
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "422",
"source": {
"pointer": "/data/attributes/email"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Payment Requests
Cancel payment request
Cancel an open outgoing payment request
POST
/
payment-requests
/
{paymentRequestId}
/
cancel
Cancel payment request
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Unique key for safely retrying a request without creating duplicates.
Maximum string length:
255Agent (agt_*) to attribute this request to when authenticating with a party API key; omit for agent keys and agent-scoped OAuth grants, which already carry agent identity.
Maximum string length:
36Pattern:
^agt_[0-9a-f]{32}$Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Path Parameters
Payment request ID (prq_*).
Pattern:
^prq_[0-9a-f]{32}$Response
Successful Response
Show child attributes
Show child attributes
Was this page helpful?
⌘I